Bug 28309 - /var/lib/xenstore/tdb bei Reboot löschen
/var/lib/xenstore/tdb bei Reboot löschen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - Xen
UCS 3.0
All Linux
: P5 normal (vote)
: UCS 3.1-1-errata
Assigned To: Philipp Hahn
Felix Botner
:
Depends on:
Blocks: 34138
  Show dependency treegraph
 
Reported: 2012-08-24 17:21 CEST by Philipp Hahn
Modified: 2014-02-17 14:27 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting, UCS Performance
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2012-08-24 17:21:17 CEST
Die XenStore tdb sollte bei jedem Reboot gelöscht werden; Details dazu unter <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=666135>

Am besten wird die von /var/lib/ nach /var/run/ verschoben; das wird durch /etc/init.d/mountall-bootclean.sh bei jedem Reboot gelöscht; (in Debian Wheezy liegt /run/ in einem tmpfs).
Comment 1 Philipp Hahn univentionstaff 2012-08-24 17:50:35 CEST
Der Fehler ist in /etc/init.d/xencommons:53

> if ! `xenstore-read -s / >/dev/null 2>&1`

Man beachte die Back-Ticks! Der eigentliche Fehler ist alerdings 2 Zeilen tifer:

> test -z "$XENSTORED_ROOTDIR" || XENSTORED_ROOTDIR="/var/lib/xenstored"

Das muß entweder "test -n ... || ..." oder "test -z ... && ..." heißen.
Upstream wurde 2. Variante gewählt: <http://xenbits.xen.org/hg/xen-unstable.hg/diff/e2722b24dc09/tools/hotplug/Linux/init.d/xencommons>

Mit Xen-4.1.3 ist das auch bereits korrigiert: <http://xenbits.xen.org/hg/xen-4.1-testing.hg/diff/1225aff05dd2/tools/hotplug/Linux/init.d/xencommons>
Comment 2 Philipp Hahn univentionstaff 2013-05-24 20:32:50 CEST
The bug was already fixed in xen-4.1-3, but our xen-4.1 package contains a modified version in debian/xen-4.1.xencommons.init, which was still broken.

I synchronized the shipped version with our copy, which also fixed loading several modules required for xen.
Comment 3 Philipp Hahn univentionstaff 2013-05-26 20:47:25 CEST
ucs-3.1-2: univention-xen_4.0.1-1.65.201305262029
\item A logic bug in the init script for \ucsName{xenstore} was fixed (\ucsBug{28309}).
Comment 4 Philipp Hahn univentionstaff 2013-05-27 14:25:33 CEST
errata3.1-1:
  Backport: svn40866..40890

  univention-virtual-machine-manager-daemon_2.0.36-7.445.201305271400
  univention-xen_4.0.0-4.66.201305271359
  xen-4.1_4.1.3-9+1.34.201305271402

  yaml: r40895
   ucs-3.1-1/doc/errata/2013-05-27-univention-virtual-machine-manager-daemon.yaml
   ucs-3.1-1/doc/errata/2013-05-27-univention-xen.yaml
   ucs-3.1-1/doc/errata/2013-05-27-xen-4.1.yaml
Comment 5 Felix Botner univentionstaff 2013-05-29 17:36:29 CEST
OK - errata3.1-1
OK - yaml

OK - ucs3.1-2
FAIL - changelog
Comment 6 Philipp Hahn univentionstaff 2013-05-29 20:04:43 CEST
(In reply to comment #5)
> FAIL - changelog

svn40847 already added the following line:
+\item A logic bug in the init script for \ucsName{xenstore} was fixed (\ucsBug{28309}).

The compiled release notes is availabel at <http://jenkins.knut.univention.de:8080/job/UCS-3.1-2%20Release%20Notes/lastSuccessfulBuild/artifact/changelog/release-notes-3.1-2.pdf>, which also shows that the entry exists in the change log.
Comment 7 Felix Botner univentionstaff 2013-05-30 09:34:49 CEST
(In reply to comment #6)
> (In reply to comment #5)
> > FAIL - changelog
> 
> svn40847 already added the following line:
> +\item A logic bug in the init script for \ucsName{xenstore} was fixed
> (\ucsBug{28309}).
> 
> The compiled release notes is availabel at
> <http://jenkins.knut.univention.de:8080/job/UCS-3.1-2%20Release%20Notes/lastSuccessfulBuild/artifact/changelog/release-notes-3.1-2.pdf>,
> which also shows that the entry exists in the change log.

ah, yes, i looked in changelog-3.1.tex

OK - changelog
Comment 8 Janek Walkenhorst univentionstaff 2013-06-13 14:39:27 CEST
http://errata.univention.de/ucs/3.1/127.html